<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:s="http://jboss.org/schema/seam/taglib"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:rich="http://richfaces.org/rich"
      xmlns="http://www.w3.org/1999/xhtml">
<h:head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>


    <title>#{messages['net.ihe.gazelle.AssertionManagerGui']}</title>
    <link rel="shortcut icon" href="#{request.contextPath}/favicon.ico"/>
    <h:outputStylesheet library="stylesheet" name="gazelle-theme.css"/>
    <h:outputStylesheet library="stylesheet" name="chosen.bootstrap.css"/>
    <h:outputStylesheet library="stylesheet" name="status.css"/>
    <h:outputStylesheet library="stylesheet" name="newStyle.css"/>
    <h:outputStylesheet library="stylesheet" name="alert.css"/>
    <h:outputStylesheet library="stylesheet" name="summernote.css"/>


    <h:outputScript library="jscript" name="gazelleTools.js"/>
    <h:outputScript library="jscript" name="datatableHelper.js"/>

    <ui:insert name="header"/>

    <h:outputScript library="jscript" name="jquery_1_11_2.min.js"/>
    <h:outputScript library="jscript" name="bootstrap.min.js"/>
    <h:outputScript library="jscript" name="chosen.jquery.min.js"/>
    <h:outputScript library="jscript" name="summernote.min.js"/>

    <!--@formatter:off-->
    <script>

        jq162 = jQuery.noConflict(true);

        jq162(function () {
            updateSelects();
            jq162('[data-toggle="tooltip"]').tooltip();
        });

        function updateSelects() {
            updateSelects_(jq162, {allow_single_deselect: true, display_selected_options: true, width: "90%", search_contains: true});
         }

    </script>
    <!--@formatter:on-->
</h:head>
<h:body>
    <f:view>
        <a4j:status id="globalStatus" onstop="updateSelects()"/>
        <ui:include src="/ajaxStatus.xhtml"/>
        <h:form>
            <ui:include src="/layout/menu/_menu.xhtml"/>
        </h:form>
        <div id="gzl-container">
            <h:panelGroup rendered="#{pageNameTitle != null}">
                <h2>
                    <h:outputText value="${pageNameTitle}"/>
                </h2>
            </h:panelGroup>
            <h:panelGroup rendered="#{pageNameTitle == null}">
                <br/>
            </h:panelGroup>
            <div class="row">
                <div class="center-block gazelle-alert">
                    <s:decorate id="gazelle-messages">
                        <rich:messages globalOnly="true" escape="false"
                                       styleClass="fade-out-up text-center"
                                       infoClass="alert gzl-alert-green animated-fast"
                                       warnClass="alert gzl-alert-orange animated-slow"
                                       errorClass="alert gzl-alert-red animated-slow">
                        </rich:messages>
                    </s:decorate>
                </div>
            </div>
            <a4j:region>
                <ui:insert name="body"/>
            </a4j:region>
        </div>
        <ui:include src="cookie_consent.xhtml">
            <ui:param name="cguLink" value="#{preferencesManager.getCguUrl()}"/>
        </ui:include>

        <ui:include src="footer/_footer.xhtml"/>

        <script>
            $('a[href="' + location.pathname + '"]').parents('li,ul')
                .addClass('active');
        </script>
    </f:view>
</h:body>
</html>

